- entry_type: loop_invariant
  metadata:
    format_version: 0.2
    uuid: 5f38dcd9-76bd-463e-be85-b44492ba4eb3
    creation_time: 2023-02-17T12:08:56.681401Z
    producer:
      name: A2Y
      version: 1.0
    task:
      input_files:
        - c/nla-digbench-scaling/fermat1-ll_valuebound20.c
      input_file_hashes:
        c/nla-digbench-scaling/fermat1-ll_valuebound20.c: 5343b340ea8da46bc6acd6408dd3dbd3223330cf8901c5f3b9950638a460ce9a
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/nla-digbench-scaling/fermat1-ll_valuebound20.c
    file_hash: 5343b340ea8da46bc6acd6408dd3dbd3223330cf8901c5f3b9950638a460ce9a
    line: 35
    column: 0
    function: main
  loop_invariant:
    string: 4* ( A+r )  == u*u-v*v-2*u+2*v
    type: assertion
    format: C

- entry_type: location_invariant
  metadata:
    format_version: 0.2
    uuid: 50257d1f-effe-4362-bc19-a3761920f9d5
    creation_time: 2023-02-17T12:08:56.681698Z
    producer:
      name: A2Y
      version: 1.0
    task:
      input_files:
        - c/nla-digbench-scaling/fermat1-ll_valuebound20.c
      input_file_hashes:
        c/nla-digbench-scaling/fermat1-ll_valuebound20.c: 5343b340ea8da46bc6acd6408dd3dbd3223330cf8901c5f3b9950638a460ce9a
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/nla-digbench-scaling/fermat1-ll_valuebound20.c
    file_hash: 5343b340ea8da46bc6acd6408dd3dbd3223330cf8901c5f3b9950638a460ce9a
    line: 36
    column: 0
    function: main
  location_invariant:
    string: 4* ( A+r )  == u*u-v*v-2*u+2*v
    type: assertion
    format: C

- entry_type: loop_invariant
  metadata:
    format_version: 0.2
    uuid: 8f237f79-2412-4d24-b9ad-90c96487da4d
    creation_time: 2023-02-17T12:08:56.681828Z
    producer:
      name: A2Y
      version: 1.0
    task:
      input_files:
        - c/nla-digbench-scaling/fermat1-ll_valuebound20.c
      input_file_hashes:
        c/nla-digbench-scaling/fermat1-ll_valuebound20.c: 5343b340ea8da46bc6acd6408dd3dbd3223330cf8901c5f3b9950638a460ce9a
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/nla-digbench-scaling/fermat1-ll_valuebound20.c
    file_hash: 5343b340ea8da46bc6acd6408dd3dbd3223330cf8901c5f3b9950638a460ce9a
    line: 40
    column: 0
    function: main
  loop_invariant:
    string: 4* ( A+r )  == u*u-v*v-2*u+2*v
    type: assertion
    format: C

- entry_type: location_invariant
  metadata:
    format_version: 0.2
    uuid: e0a60fff-c544-455d-adbe-59e3e9f4cdff
    creation_time: 2023-02-17T12:08:56.681930Z
    producer:
      name: A2Y
      version: 1.0
    task:
      input_files:
        - c/nla-digbench-scaling/fermat1-ll_valuebound20.c
      input_file_hashes:
        c/nla-digbench-scaling/fermat1-ll_valuebound20.c: 5343b340ea8da46bc6acd6408dd3dbd3223330cf8901c5f3b9950638a460ce9a
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/nla-digbench-scaling/fermat1-ll_valuebound20.c
    file_hash: 5343b340ea8da46bc6acd6408dd3dbd3223330cf8901c5f3b9950638a460ce9a
    line: 41
    column: 0
    function: main
  location_invariant:
    string: 4* ( A+r )  == u*u-v*v-2*u+2*v
    type: assertion
    format: C

- entry_type: loop_invariant
  metadata:
    format_version: 0.2
    uuid: 680e9186-137f-4a5b-9da8-e6119aea9057
    creation_time: 2023-02-17T12:08:56.682029Z
    producer:
      name: A2Y
      version: 1.0
    task:
      input_files:
        - c/nla-digbench-scaling/fermat1-ll_valuebound20.c
      input_file_hashes:
        c/nla-digbench-scaling/fermat1-ll_valuebound20.c: 5343b340ea8da46bc6acd6408dd3dbd3223330cf8901c5f3b9950638a460ce9a
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/nla-digbench-scaling/fermat1-ll_valuebound20.c
    file_hash: 5343b340ea8da46bc6acd6408dd3dbd3223330cf8901c5f3b9950638a460ce9a
    line: 48
    column: 0
    function: main
  loop_invariant:
    string: 4* ( A+r )  == u*u-v*v-2*u+2*v
    type: assertion
    format: C

- entry_type: location_invariant
  metadata:
    format_version: 0.2
    uuid: 5b4dc5b0-139a-49d4-b95b-705e69d3d580
    creation_time: 2023-02-17T12:08:56.682124Z
    producer:
      name: A2Y
      version: 1.0
    task:
      input_files:
        - c/nla-digbench-scaling/fermat1-ll_valuebound20.c
      input_file_hashes:
        c/nla-digbench-scaling/fermat1-ll_valuebound20.c: 5343b340ea8da46bc6acd6408dd3dbd3223330cf8901c5f3b9950638a460ce9a
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/nla-digbench-scaling/fermat1-ll_valuebound20.c
    file_hash: 5343b340ea8da46bc6acd6408dd3dbd3223330cf8901c5f3b9950638a460ce9a
    line: 49
    column: 0
    function: main
  location_invariant:
    string: 4* ( A+r )  == u*u-v*v-2*u+2*v
    type: assertion
    format: C

- entry_type: location_invariant
  metadata:
    format_version: 0.2
    uuid: 1a4afe6d-8645-41e8-9246-e000ab632690
    creation_time: 2023-02-17T12:08:56.682234Z
    producer:
      name: A2Y
      version: 1.0
    task:
      input_files:
        - c/nla-digbench-scaling/fermat1-ll_valuebound20.c
      input_file_hashes:
        c/nla-digbench-scaling/fermat1-ll_valuebound20.c: 5343b340ea8da46bc6acd6408dd3dbd3223330cf8901c5f3b9950638a460ce9a
      specification: CHECK( init(main()), LTL(G ! call(reach_error())) )
      data_model: ILP32
      language: C
  location:
    file_name: c/nla-digbench-scaling/fermat1-ll_valuebound20.c
    file_hash: 5343b340ea8da46bc6acd6408dd3dbd3223330cf8901c5f3b9950638a460ce9a
    line: 57
    column: 0
    function: main
  location_invariant:
    string:  (  ( longlong ) 4*A )  == u*u-v*v-2*u+2*v
    type: assertion
    format: C

